# $Id: Makefile,v 1.5 2006-01-16 18:58:45 eugene Exp $

PDFLATEX = env TEXINPUTS=../../latex/inputs:$(TEXINPUTS):.: pdflatex
PSLATEX  = env TEXINPUTS=../../latex/inputs:$(TEXINPUTS):.: latex

all : codeConventions.pdf perlCodeConventions.pdf

%.pdf: %.tex
	$(PSLATEX) $*.tex 
	$(PSLATEX) $*.tex 
	dvips -z -t letter -o $*.ps $*.dvi
	ps2pdf $*.ps $*.pdf
	thumbpdf --modes=dvips $*.pdf
	$(PSLATEX) $*.tex 
	dvips -z -t letter -o $*.ps $*.dvi
	ps2pdf $*.ps $*.pdf
	@rm -f $*.ps $*.dvi $*.aux $*.log $*.tbr $*.tbd $*.tpm $*.lof $*.toc head.tmp body.tmp

clean :
	$(RM) *.log *.dvi *.aux *.toc *.tbd *.tbr *.tpm *.lof *.out *~ core head.tmp body.tmp

dist : clean
		$(RM) *.pdf

empty : clean
